/************************************************************************

   File:		VObject.cpp

   Author(s):		Robert Sim

   Created:		29 Nov 1997

   Last Revision:	$Date: 1998/02/24 02:12:11 $

   Description:	

   $Revision: 1.1.1.1 $

   $Log: VObject.cpp,v $
   Revision 1.1.1.1  1998/02/24 02:12:11  robbo
   First fie import.


	
   Copyright (c) 1997 by Robert Sim, Centre for Intelligent Machines,
   McGill University, Montreal, QC.  Please see the copyright notice
   included in this distribution for full details.

 ***********************************************************************/

#define VOBJECT_CPP
#include "VObject.h"
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <stdarg.h>

int VObject::Verbosity_G=0;
int 
VObject::verbprintf(const int verb, const char *format, ...) const
{
  int result=0;
  if(verbosity>=verb) {
    char message[1024];
    
    va_list arg_ptr;
    
    va_start(arg_ptr, format);
    result = vsprintf(message, format, arg_ptr);
    va_end(arg_ptr);
    
    
    fprintf(stderr, "%s", message);
  }
  return result;
}

