% operate_symmetry    Demonstrate the usage of the radial symmetry operator.
%

% Author: Ariel Tankus.
% Created: 26.3.1999.

im = readpgm('./images/alien.pgm');   
[a, mag, dx, dy] = autoarg(im, 60, 60);
% lmag = log1p(mag);
lmag = log(mag);
% [symmag, symorient] = symmetry(14, 14, 1, dx, dy, mag, lmag, a);
[symmag, symorient] = symmetry(14, 14, 0, dx, dy, mag, lmag, a);
imagesc(symmag);
colormap(gray)
