
#include "distCoords.h"

distCoords::distCoords()
{
  x=-1;
  y=-1;
  x1=-1;
  x2=-1;
  y1=-1;
  y2=-1;
  distance=-1;
}

distCoords::distCoords(int inx, int iny, int inx1, int inx2, int iny1, int iny2, double indist)
{
  x=inx;
  y=iny;
  x1=inx1;
  x2=inx2;
  y1=iny1;
  y2=iny2;
  distance=indist;
}

distCoords &
distCoords::operator=(const distCoords & p)
{
  x=p.getx();
  y=p.gety();
  x1=p.getx1();
  y1=p.gety1();
  x2=p.getx2();
  y2=p.gety2();
  distance=p.getDist();
  
  return *this;
}


bool 
distCoords::operator==(const distCoords & p) const
{
  if (x==p.getx() && y==p.gety() && x1==p.getx1() && y1==p.gety1() && x2==p.getx2() && y2==p.gety2() && distance==p.getDist())
    return true;
  
  return false;
}


void 
distCoords::print(ostream &O) const
{
  O << "[" << getx()/3 << "," << gety() << "," << getx1()/3 << "," << gety1() << "," << getx2()/3 << "," << gety2() << "," << getDist() << "]";
}

ostream&
operator<<(ostream& O, const distCoords& p)
{
  p.print(O);
  return O;
}

